using System;
using System.ComponentModel.Design;
class Program
{
    
    static void Main()
    {

        int t = int.Parse(Console.ReadLine());
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int k = int.Parse(s[1]);
        string[] s1 = Console.ReadLine().Split();
        int a = int.Parse(s1[0]);

        
        if (n % 2 == Math.Abs(a) % 2)
        {
            if (k == a)
            {
                Console.WriteLine("DA");
                 for (int i = 0; i < n; i++) Console.Write(a + " ");
            }
            else Console.WriteLine("NE");

        }
        else
        {
            if (k == a + 1)
            {
                Console.WriteLine("DA");
                 for (int i = 0; i < n; i++) Console.Write(a + " ");
            }
            else Console.WriteLine("NE");
        }

    }
}